com.amazonaws.codegen.model.intermediate

## Class ParameterHttpMapping

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ParameterHttpMapping

    public class ParameterHttpMapping
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParameterHttpMapping()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAdditionalMarshallingPath()`
`String` `getAdditionalUnmarshallingPath()`
`boolean` `getIsPayload()`
`boolean` `getIsStreaming()`
`Location` `getLocation()`
`String` `getMarshallLocationName()`
`String` `getUnmarshallLocationName()`
`boolean` `isFlattened()`
`boolean` `isGreedy()`
`boolean` `isHeader()`
`boolean` `isQueryString()`
`boolean` `isStatusCode()`
`boolean` `isUri()`
`void` `setAdditionalMarshallingPath(String additionalMarshallingPath)`
`void` `setAdditionalUnmarshallingPath(String additionalUnmarshallingPath)`
`void` `setFlattened(boolean flattened)`
`ParameterHttpMapping` `setIsGreedy(boolean greedy)`
`void` `setLocation(Location location)`
`void` `setMarshallLocationName(String marshallLocationName)`
`void` `setPayload(boolean isPayload)`
`void` `setStreaming(boolean isStreaming)`
`void` `setUnmarshallLocationName(String unmarshallLocationName)`
`ParameterHttpMapping` `withAdditionalMarshallingPath(String additionalMarshallingPath)`
`ParameterHttpMapping` `withAdditionalUnmarshallingPath(String additionalUnmarshallingPath)`
`ParameterHttpMapping` `withFlattened(boolean flattened)`
`ParameterHttpMapping` `withIsGreedy(boolean greedy)`
`ParameterHttpMapping` `withLocation(Location location)`
`ParameterHttpMapping` `withMarshallLocationName(String marshallLocationName)`
`ParameterHttpMapping` `withPayload(boolean isPayload)`
`ParameterHttpMapping` `withStreaming(boolean isStreaming)`
`ParameterHttpMapping` `withUnmarshallLocationName(String unmarshallLocationName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterHttpMapping

    public ParameterHttpMapping()

### Method Detail

#### getIsPayload

    public boolean getIsPayload()

#### setPayload

    public void setPayload(boolean isPayload)

#### withPayload

    public ParameterHttpMapping withPayload(boolean isPayload)

#### getIsStreaming

    public boolean getIsStreaming()

#### setStreaming

    public void setStreaming(boolean isStreaming)

#### withStreaming

    public ParameterHttpMapping withStreaming(boolean isStreaming)

#### getLocation

    public Location getLocation()

#### setLocation

    public void setLocation(Location location)

#### withLocation

    public ParameterHttpMapping withLocation(Location location)

#### isHeader

    public boolean isHeader()

#### isUri

    public boolean isUri()

#### isStatusCode

    public boolean isStatusCode()

#### isQueryString

    public boolean isQueryString()

#### isFlattened

    public boolean isFlattened()

#### setFlattened

    public void setFlattened(boolean flattened)

#### withFlattened

    public ParameterHttpMapping withFlattened(boolean flattened)

#### getUnmarshallLocationName

    public String getUnmarshallLocationName()

#### setUnmarshallLocationName

    public void setUnmarshallLocationName(String unmarshallLocationName)

#### withUnmarshallLocationName

    public ParameterHttpMapping withUnmarshallLocationName(String unmarshallLocationName)

#### getMarshallLocationName

    public String getMarshallLocationName()

#### setMarshallLocationName

    public void setMarshallLocationName(String marshallLocationName)

#### withMarshallLocationName

    public ParameterHttpMapping withMarshallLocationName(String marshallLocationName)

#### getAdditionalUnmarshallingPath

    public String getAdditionalUnmarshallingPath()

#### setAdditionalUnmarshallingPath

    public void setAdditionalUnmarshallingPath(String additionalUnmarshallingPath)

#### withAdditionalUnmarshallingPath

    public ParameterHttpMapping withAdditionalUnmarshallingPath(String additionalUnmarshallingPath)

#### getAdditionalMarshallingPath

    public String getAdditionalMarshallingPath()

#### setAdditionalMarshallingPath

    public void setAdditionalMarshallingPath(String additionalMarshallingPath)

#### withAdditionalMarshallingPath

    public ParameterHttpMapping withAdditionalMarshallingPath(String additionalMarshallingPath)

#### isGreedy

    public boolean isGreedy()

#### setIsGreedy

    public ParameterHttpMapping setIsGreedy(boolean greedy)

#### withIsGreedy

    public ParameterHttpMapping withIsGreedy(boolean greedy)